Payment Methods Management
1 API call in this section.
APIs for configuring and managing payment methods available in the storefront.
Get Available Payment Methods
Storefront & Commerce / Advanced Features / Payment Methods Management
GET
/storefront/payment-methods/availableRetrieves all available payment methods that can be configured for the storefront. For the COD record, the localized display name is Cash while the canonical name, gateway code, type, and behavior remain unchanged.
Authentication Required
Tenant admin access
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | JWT token for tenant admin users Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/storefront/payment-methods/available" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
200OK
Response body
json
1{2 "success": true,3 "data": {4 "available_methods": [5 {6 "id": "cod",7 "name": {8 "en": "Cash",9 "ar": "نقدًا",10 "fa": "نقدی",11 "ku": "نەقدی"12 },13 "is_configured": true,14 "is_enabled": true,15 "setup_required": false16 },17 {18 "id": "wallet",19 "name": {20 "en": "Digital Wallet",21 "ar": "المحفظة الرقمية",22 "ku": "جزدانی دیجیتاڵ"23 },24 "is_configured": true,25 "is_enabled": true,26 "setup_required": false27 }28 ]29 }30}